cURL
curl --request DELETE \
--url https://public-api.lonescale.com/lists/{listId}/item/{itemId} \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.lonescale.com/lists/{listId}/item/{itemId}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.lonescale.com/lists/{listId}/item/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"organizationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid API Key",
"error": "Unauthorized",
"statusCode": 401
}{
"message": "Item not found",
"error": "Not Found",
"statusCode": 404
}Lists
Remove an item from a list
Remove an item from a list.
DELETE
/
lists
/
{listId}
/
item
/
{itemId}
cURL
Authorizations
Provide your API key in the x-api-key header.
Path Parameters
The ID of the list.
The ID of the item to remove.
Response
The parent list after item removal
Unique identifier of the list.
Name of the list.
The entity type of the list.
Available options:
COMPANY, PEOPLE Description of the list.
The organization this list belongs to.
Creation timestamp.
Last update timestamp.
⌘I

